<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originaly written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.8
  $Source: /cvsroot/cpg-contrib/master_template/codebase.php,v $
  $Revision: 1.3 $
  $Author: donnoman $
  $Date: 2005/12/08 05:46:49 $
**********************************************
Functions for the plugin
**********************************************/
if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }
if (!defined('USE_ZLIB'))
{
	define('USE_ZLIB', false);
}

function	FileOpen($sFileName, $sMode)
{
	if (USE_ZLIB)
	{
		return (gzopen($sFileName, $sMode));
	}
	else
	{
		return (fopen($sFileName, $sMode));
	}
}

function	FileWrite($iFd, $sData)
{
  if (USE_ZLIB)
  {
		gzwrite($iFd, $sData);
  }
  else
  {
		fwrite($iFd, $sData);
  }
}

function	FileClose($iFd)
{
	if (USE_ZLIB)
	{
		gzclose ($iFd);
	}
	else
	{
		fclose ($iFd);
	}
}

function	FileTell($iFd)
{
	if (USE_ZLIB)
	{
		return  gztell($iFd);
	}
	else
	{
		return  ftell($iFd);
	}
}

function	FileGets($iFd, $iLength = 4096)
{
	if (USE_ZLIB)
	{
		return  gzgets ($iFd, $iLength);
	}
	else
	{
		return  fgets($iFd, $iLength);
	}
}

function	FileEOF($iFd)
{
	if (USE_ZLIB)
	{
		return  gzeof ($iFd);
	}
	else
	{
		return  feof ($iFd);
	}
}

function	FileSeek($iFd, $iOffset)
{
	if (USE_ZLIB)
	{
		return  gzseek ($iFd,$iOffset);
	}
	else
	{
		return  fseek ($iFd,$iOffset);
	}
}

function	FileRewind($iFd)
{
	if (USE_ZLIB)
	{
		return  gzrewind ($iFd);
	}
	else
	{
		return  rewind ($iFd);
	}
}

function	FileEndPos($iFd)
{
	$pc = FileTell($iFd);
	echo $pc.'-';
	FileSeek($iFd, 0);

	$pc2 = FileTell($iFd);
	echo $pc2.'-';
	FileSeek($iFd, $pc);
	return ($pc2);
}

function	FileCount($iFd)
{

	$pc = FileTell($iFd);
	if(!FileRewind($iFd))
	{
		FileSeek($iFd, $pc);
		return false;
	}

	$i = 0;
	while(!FileEOF($iFd))
	{
		FileGets($iFd, 1024*1024*10);
		$i++;
	}

	FileSeek($iFd, $pc);
	return ($i);
}
?>